@import url("/css/fontAwesome/font-awesome.min.css");

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
  /* Margin bottom by footer height */
}

.navbar {
  padding: 0px;
}

.jumbotron {
  color: #FFF;
  background-color: #2a3a42;
  padding: 1rem;
  margin-bottom: 1.5rem;
}

footer {
  display: block;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 60px;
  line-height: 60px;
  background-color: #2B3A42;
}

footer>.container {
  width: auto;
  max-width: 680px;
  padding: 0 15px;
}

.text-muted {
  color: #FFF !important;
  margin-bottom: 0px;
}

.card-header {
  background-color: #2a3a42;
  color: #FFF;
}

/* Custom Style for Button */

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle,
.btn-primary {
  background-color: #2a3a42;
  border-color: #3f5665;
}

.btn-primary.focus,
.btn-primary:focus,
.btn-primary:not(:disabled):not(.disabled):active:focus {
  box-shadow: 0 0 0 0.2rem #3f5665;
}

/* Custom Style for Radio Button */

.custom-radio .custom-control-input:checked~.custom-control-label::before {
  background-color: #2a3a42;
}

.custom-control-input:focus~.custom-control-label::before {
  box-shadow: 0 0 0 1px #fff, 0 0 0 0.2rem #a8becc;
}

.custom-control-input:active~.custom-control-label::before {
  color: #fff;
  background-color: #a8becc;
}

/* Form Input fields */

.btn-primary:hover {
  background-color: #F15725;
  border-color: #F15725;
}

.group {
  position: relative;
  margin: 15px 0;
}

.group.disabled {
  pointer-events: none;
}

textarea {
  resize: none;
}

.group input,
.group textarea {
  background: none;
  color: #000;
  font-size: 18px;
  padding: 10px 10px 10px 5px;
  display: inline-block;
  width: 300px;
  max-width: 350px;
  border: none;
  border-radius: 0;
  border-bottom: 1px solid #c6c6c6;
}

.group input:focus,
.group textarea:focus {
  outline: none;
}

.group input:focus~label,
.group input:valid~label,
.group textarea:focus~label,
.group textarea:valid~label {
  top: -14px;
  font-size: 14px;
  color: #222;
}

.group input:focus~.bar:before,
.group textarea:focus~.bar:before {
  width: 300px;
  max-width: 350px;
}

.group input[type=password] {
  letter-spacing: 0.3em;
}

.group input.disabled,
.group input:valid~label.disabled {
  background-color: #DFDFDF;
  color: #777;
}

.group label {
  color: #495057;
  font-size: 16px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  top: 10px;
  transition: 300ms ease all;
  width: 100%;
  padding-left: 5px;
}

.group label.disabled {
  background-color: #DFDFDF;
  color: #777;
}

.bar {
  position: relative;
  display: block;
  width: 300px;
  max-width: 350px;
}

.bar:before {
  content: "";
  height: 2px;
  width: 0;
  bottom: 0px;
  position: absolute;
  background: #2a3a42;
  transition: 300ms ease all;
  left: 0%;
}



/* select starting stylings ------------------------------*/

.select {
  position: relative;
  width: 300px;
  max-width: 350px;
}

.select-text {
  position: relative;
  font-family: inherit;
  background-color: transparent;
  width: 300px;
  max-width: 350px;
  padding: 10px 10px 10px 5px;
  font-size: 18px;
  border-radius: 0;
  border: none;
  border-bottom: 1px solid #c6c6c6;
}

/* Remove focus */
.select-text:focus {
  outline: none;
  border-bottom: 1px solid rgba(0, 0, 0, 0);
}

/* Use custom arrow */
.select .select-text {
  appearance: none;
  -webkit-appearance: none;
}

.select:after {
  position: absolute;
  top: 18px;
  right: 10px;
  /* Styling the down arrow */
  width: 0;
  height: 0;
  padding: 0;
  content: '';
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-top: 6px solid #c6c6c6;
  pointer-events: none;
}

/* LABEL ======================================= */
.select-label {
  color: #495057;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 0;
  padding-left: 5px;
  top: 10px;
  transition: 0.2s ease all;
}

/* active state */
.select-text:focus~.select-label,
.select-text:valid~.select-label {
  color: #222;
  top: -15px;
  transition: 0.2s ease all;
  font-size: 14px;
}

/* BOTTOM BARS ================================= */
.select-bar {
  position: relative;
  display: block;
  width: 300px;
  max-width: 350px;
}

.select-bar:before,
.select-bar:after {
  content: '';
  height: 2px;
  width: 0;
  bottom: 1px;
  position: absolute;
  background: #2a3a42;
  transition: 0.2s ease all;
}

.select-bar:before {
  left: 50%;
}

.select-bar:after {
  right: 50%;
}

/* active state */
.select-text:focus~.select-bar:before,
.select-text:focus~.select-bar:after {
  width: 50%;
}

/* HIGHLIGHTER ================================== */
.select-highlight {
  position: absolute;
  height: 60%;
  width: 100px;
  top: 25%;
  left: 0;
  pointer-events: none;
  opacity: 0.5;
}

/* Other Styles */

h1 img {
  width: 65px;
  height: auto;
  margin-top: .7rem;
}

h1 strong a {
  color: #FFF;
  text-decoration: none;
}

h1 strong a:hover {
  color: #FFF;
  text-decoration: none;
}

.disabledValues {
  padding-top: 0px !important;
  text-align: center;
}

.greenBadgedisabled {
  background-color: #82C815 !important;
  color: #FFF !important;
  font-weight: bold;
}

a {
  color: rgb(45, 45, 206);
}

a:hover {
  text-decoration: underline;
  color: rgb(45, 45, 206);
}

a.emailLink {
  color: rgb(45, 45, 206);
}

.alert-primary a,
.alert-primary a:hover {
  color: #004085;
}

.btn-primary.disabled,
.btn-primary:disabled {
  color: #000;
  background-color: #FFF;
  border-color: #333;
}

/* Transparent Spinner */

#cover-spin {
  position: fixed;
  width: 100%;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 9999;
  display: none;
}

@-webkit-keyframes spin {
  from {
    -webkit-transform: rotate(0deg);
  }

  to {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

#cover-spin::after {
  content: '';
  display: block;
  position: absolute;
  left: 48%;
  top: 40%;
  width: 8em;
  height: 8em;
  border-style: solid;
  border-color: #2a3a42;
  border-top-color: transparent;
  border-width: 0.6em;
  border-radius: 50%;
  -webkit-animation: spin .8s linear infinite;
  animation: spin .8s linear infinite;
}

.btnWidth150 {
  width: 150px;
}

/* Captcha Styles */

#captcha {
  font-size: 20px;
}

.captchaContainer {
  background-color: #F0EFEF;
  color: #2a3a42;
  padding: 10px;
}

#refresh {
  cursor: pointer;
  position: absolute;
  bottom: 15px;
  right: 12px;
}

.group img {
  opacity: 0.4;
}

input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px white inset;
}

/* Custom Check Box */

/* The container */
.containerCheckBox {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  color: #495057;
}

/* Hide the browser's default checkbox */
.containerCheckBox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 5px;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #eee;
}

/* On mouse-over, add a grey background color */
.containerCheckBox:hover input~.checkmark {
  /* background-color: #ccc; */
  background-color: #495057;
}

/* On mouse-over, remove color on disabled */
.containerCheckBox:hover input[disabled]~.checkmark {
  background-color: #FFF;
}

.containerCheckBox:hover input:checked~.checkmark {
  background-color: #2a3a42;
}

/* When the checkbox is checked, add a blue background */
.containerCheckBox input:checked~.checkmark {
  background-color: #2a3a42;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.containerCheckBox input:checked~.checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.containerCheckBox .checkmark:after {
  left: 7px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

a[href $='.pdf'].pdfFileLink:before {
  content: "\f1c1";
  font-family: 'FontAwesome';
  color: #2a3a42;
  margin: 0px 10px 0 0;
  font-size: 54px;
  float: left;
}

a[href $='.doc'].docFileLink:before,
a[href $='.docx'].docFileLink:before {
  content: "\f1c2";
  font-family: 'FontAwesome';
  color: #2a3a42;
  margin: 0px 10px 0 0;
  font-size: 54px;
  float: left;
}

.form-title span {
  /* WRAP TEXT IN SPAN */
  display: block;
  overflow: hidden;
  padding-top: 10px;
}

.fileSize {
  font-size: 10px;
  padding-top: 0px !important;
}

/* custom right tick with bullets */

ul.bulletRightTick {
  list-style: none;
  padding: 0;
}

ul.bulletRightTick li {
  padding-left: 1.3em;
}

ul.bulletRightTick li:before {
  content: "\f00c";
  /* FontAwesome Unicode */
  font-family: FontAwesome;
  display: inline-block;
  margin-left: -1.3em;
  /* same as padding-left set on li */
  width: 1.3em;
  /* same as padding-left set on li */
  color: green;
}

/* Accordion Styles */

.accordion .card-header {
  background-color: #3f5665;
}

.accordion .card-header .btn-link,
.accordion .card-header .btn-link:hover {
  color: #F0EFEF;
}

.accordion .card-header .btn.btn-link[aria-expanded="true"]:after {
  font-family: 'FontAwesome';
  content: "\f13a";
  position: absolute;
  right: 20px;
  font-size: 20px;
}

.accordion .card-header .btn.btn-link[aria-expanded="false"]:after {
  font-family: 'FontAwesome';
  content: "\f139";
  position: absolute;
  right: 20px;
  font-size: 20px;
}

/* Progress Wizard Styles */

.visuallyhidden {
  display: none;
}

.wizard-progress {
  list-style: none;
  list-style-image: none;
  margin: 0;
  padding: 0;
  margin-top: 20px;
  float: left;
  white-space: nowrap;
}

.wizard-progress li {
  float: left;
  margin-right: 30px;
  text-align: center;
  position: relative;
  width: 100px;
}

.wizard-progress .step-name {
  display: table-cell;
  height: 32px;
  vertical-align: bottom;
  text-align: center;
  width: 100px;
  font-size: 16px;
  line-height: 20px;
  padding-top: 10px;
}

.wizard-progress .step-name-wrapper {
  display: table-cell;
  height: 100%;
  vertical-align: bottom;
}

.wizard-progress .step-num {
  font-size: 14px;
  font-weight: bold;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  display: inline-block;
  margin-top: 0px;
  padding-top: 5px;
  font-size: 22px
}

.wizard-progress .step-name:after {
  content: "";
  display: block;
  background: #F0EFEF;
  height: 5px;
  width: 100px;
  position: absolute;
  top: 25px;
  left: 75px;
}

.wizard-progress li .step-num {
  background-color: #F0EFEF;
}

.wizard-progress li:last-of-type .step-num:after {
  display: none;
}

.wizard-progress .active-step .step-num {
  background-color: #F15725;
  color: #FFF;
  border: 3px solid #2a3a42;
}

.wizard-progress .completed-step .step-num {
  background-color: #3f5665;
  color: #FFF;
  border: 3px solid #2a3a42;
}

.wizard-progress .completed-step .step-name:after {
  background: #3f5665;
}

.wizard-progress .active-step .step-name:after {
  left: 78px;
}

.wizard-progress .step-name.stepLastName:after {
  width: 0px;
}

.teletechLogo {
  width: 145px;
  height: auto;
  filter: invert(100%);
}

.group.disabled input {
  padding: 0px;
  margin: 10px 0px;
  font-size: 25px;
  width: 400px;
  max-width: 400px;
  line-height: 50px;
}

#employeeName {
  padding: 10px;
  margin: 10px 0px;
  font-size: 25px;
  width: 400px;
  max-width: 400px;
  display: block;
  background-color: #82C815 !important;
  color: #FFF !important;
  font-weight: bold;
  text-align: center;
}

div.group.disabled {
  margin: 0 auto;
}

.rightTickImage {
  width: 45%;
}

/* Thin Scroll bar */

html {
  --scrollbarBG: #CFD8DC;
  --thumbBG: #2a3a42;
  --scrollbarDivBG: #e8f1f5;
}

textarea::-webkit-scrollbar,
#toReview::-webkit-scrollbar {
  width: 11px;
}

textarea,
#toReview {
  scrollbar-width: thin;
  scrollbar-color: var(--thumbBG) var(--scrollbarBG);
}

textarea::-webkit-scrollbar-track,
#toReview::-webkit-scrollbar-track {
  background: var(--scrollbarBG);
}

textarea::-webkit-scrollbar-thumb,
#toReview::-webkit-scrollbar-thumb {
  background-color: var(--thumbBG);
  border: 3px solid var(--scrollbarBG);
}

/* Thin Scroll Bar for Div */

#toReview::-webkit-scrollbar {
  width: 11px;
}

#toReview {
  scrollbar-width: thin;
  scrollbar-color: var(--thumbBG) var(--scrollbarDivBG);
}

#toReview::-webkit-scrollbar-track {
  background: var(--scrollbarDivBG);
}

#toReview::-webkit-scrollbar-thumb {
  background-color: var(--thumbBG);
  border: 3px solid var(--scrollbarDivBG);
}


.preferredName,
.trainerName {
  text-transform: capitalize;
}

.custom-control-input:checked~.custom-control-label::before {
  background-color: #2a3a42;
}

/* Mood Meter Custom checkbox */

.moodMeterCheckBox::after {
  line-height: 1.1em;
  content: '';
  display: inline-block;
  width: 22px;
  height: 22px;
  /* margin-top: -4px; */
  margin-left: -4px;
  border: 2px solid #2b3a42;
  border-radius: 0;
  background-color: white;
}

.moodMeterCheckBox:checked::after {
  content: '\2713';
  font-size: 21px;
  line-height: 0.8em;
  font-weight: bolder;
  width: 22px;
  height: 22px;
  color: #2b3a42;
  text-align: center;
  vertical-align: top;
  font-weight: bolder;
}

.maxHeight140 {
  max-height: 140px;
}

.overflow-auto {
  overflow: auto;
}

select.disabledField,
.disabledField~.select-label {
  background-color: #eaeaea;
  pointer-events: none;
  width: 100%;
}

.btn-primary:not(:disabled):not(.disabled).active:focus,
.btn-primary:not(:disabled):not(.disabled):active:focus,
.show>.btn-primary.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.2rem #3f5665;
}

.btn-outline-primary {
  color: #2a3a42;
  background-color: transparent;
  background-image: none;
  border-color: #2a3a42;
}

.btn-outline-primary:hover,
.btn-outline-primary:not(:disabled):not(.disabled).active,
.btn-outline-primary:not(:disabled):not(.disabled):active,
.show>.btn-outline-primary.dropdown-toggle {
  color: #fff;
  background-color: #2a3a42;
  border-color: #2a3a42;
}

.btn-outline-primary.focus,
.btn-outline-primary:focus,
.btn-outline-primary:not(:disabled):not(.disabled):active:focus {
  box-shadow: 0 0 0 0.2rem #3f5665;
}

.btn-primary.active {
  pointer-events: none;
}

.btn-outline-primary.disabled,
.btn-outline-primary:disabled {
  color: #333;
}

.btn-outline-primary.disabled:hover,
.btn-outline-primary:disabled:hover {
  color: #FFF;
}

.ttecConnectLogo {
  width: 185px;
  margin-right: 20px;
  margin-bottom: 5px;
}

/* Media Queries */

@media only screen and (max-width: 770px) {
  h1.display-5 {
    font-size: 2rem;
  }

  .teletechLogo {
    margin-top: 5px;
  }

  .rightTickImage {
    width: 60%;
  }

  #cover-spin::after {
    content: '';
    display: block;
    position: absolute;
    left: 40%;
    top: 40%;
    width: 8em;
    height: 8em;
    border-style: solid;
    border-color: #2a3a42;
    border-top-color: transparent;
    border-width: 0.6em;
    border-radius: 50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
  }

  .ttecConnectLogo {
    width: 150px;
    margin-right: 10px;
  }

}

@media only screen and (max-width: 450px) {

  .group.disabled input {
    font-size: 18px;
    width: 300px;
    max-width: 300px;
    line-height: 40px;
  }

  #employeeName {
    width: 300px;
    font-size: 18px;
    padding: 10px;
  }

}

@media only screen and (max-width: 426px) {
  h1.display-5 {
    font-size: 1.8rem;
  }

  h1 img {
    width: 55px;
    height: auto;
    margin-top: .3rem;
  }

  .teletechLogo {
    width: 100px;
    height: auto;
  }

  .group.disabled input {
    font-size: 18px;
    width: 300px;
    max-width: 300px;
    line-height: 40px;
  }

  #employeeName {
    width: 300px;
    font-size: 18px;
    padding: 10px;
  }

  .rightTickImage {
    width: 70%;
  }

  #cover-spin::after {
    content: '';
    display: block;
    position: absolute;
    left: 33%;
    top: 40%;
    width: 8em;
    height: 8em;
    border-style: solid;
    border-color: #2a3a42;
    border-top-color: transparent;
    border-width: 0.6em;
    border-radius: 50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
  }

}

@media only screen and (max-width: 376px) {

  .ttecConnectLogo {
    width: 130px;
    margin-right: 10px;
  }

  h1.display-5 {
    font-size: 1.5rem;
  }

  h1 img {
    width: 55px;
    height: auto;
  }

  .group.disabled input {
    font-size: 18px;
    width: 300px;
    max-width: 300px;
  }

  #employeeName {
    width: 300px;
    font-size: 18px;
    padding: 10px;
  }

  .rightTickImage {
    width: 75%;
  }

}

@media only screen and (max-width: 321px) {
  h1.display-5 {
    font-size: 1.2rem;
  }

  h1 img {
    width: 48px;
    height: auto;
  }

  .teletechLogo {
    margin-top: 0px;
  }

  .group.disabled input {
    font-size: 16px;
    width: 250px;
    max-width: 250px;
  }

  #employeeName {
    width: 250px;
    font-size: 16px;
    padding: 10px;
  }

  .rightTickImage {
    width: 80%;
  }

  .ttecConnectLogo {
    width: 110px;
    margin-right: 5px;
  }

}